summaryrefslogtreecommitdiff
path: root/tcwg-buildfarm.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tcwg-buildfarm.sh')
-rwxr-xr-xtcwg-buildfarm.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/tcwg-buildfarm.sh b/tcwg-buildfarm.sh
index 4d8865ed..bbd2bec0 100755
--- a/tcwg-buildfarm.sh
+++ b/tcwg-buildfarm.sh
@@ -40,6 +40,17 @@ if echo $runtests | grep -q $target; then
fi
. ./test-container.sh
runtests_opt="$runtests_opt --testcontainer ${test_container_host}:${test_container_port}"
+
+ # Define qemu_cpu even if testing will not use it (it's
+ # ignored in such cases)
+ # Choose values matching what we have in testing boards
+ qemu_cpu=""
+ case ${target} in
+ armv8*) qemu_cpu=cortex-a57 ;;
+ arm*) qemu_cpu=cortex-a15 ;;
+ aarch64*) qemu_cpu=cortex-a57 ;;
+ esac
+ [ "x${qemu_cpu}" != X ] && qemu_cpu="--qemu_cpu ${qemu_cpu}"
fi
fi
@@ -117,7 +128,7 @@ ${build_CONTAINER_RSH} "echo linaro.org | sudo tee /etc/mailname"
${build_CONTAINER_RSH} "sudo postmap hash:/etc/postfix/sasl_password"
${build_CONTAINER_RSH} "sudo /etc/init.d/postfix start"
-${build_CONTAINER_RSH} "cd ${WORKSPACE} && bash -x ${WORKSPACE}/jenkins-scripts/jenkins.sh --workspace ${WORKSPACE} --abedir ${WORKSPACE} --override \"$override\" $target_opt --languages ${languages} $bootstrap $runtests_opt $excludecheck_opt ${extraconfig_opt} ${send_results_to} --logserver $log_server $logname_opt $norebuild $options"|| result=$?
+${build_CONTAINER_RSH} "cd ${WORKSPACE} && bash -x ${WORKSPACE}/jenkins-scripts/jenkins.sh --workspace ${WORKSPACE} --abedir ${WORKSPACE} --override \"$override ${qemu_cpu}\" $target_opt --languages ${languages} $bootstrap $runtests_opt $excludecheck_opt ${extraconfig_opt} ${send_results_to} --logserver $log_server $logname_opt $norebuild $options"|| result=$?
# If the build failed, stop the containers, which will
# leave them as-is for ~10 days.